uil(user cmd)

NAME
uil — The user interface language compiler

SYNOPSIS

uil [options ] [file]

DESCRIPTION

The uil command invokes the UIL compiler. The User Interface Language (UIL) is a specification language for describing the initial state of a user interface for a Motif application. The specification describes the objects (menus, dialog boxes, labels, push buttons, and so on) used in the interface and specifies the routines to be called when the interface changes state as a result of user interaction.

file
    Specifies the file to be compiled through the UIL compiler.

options
    Specifies one or more of the following options:

    -Ipathname
        This option causes the compiler to look for include files in the directory specified if the include files have not been found in the paths that already were searched. Specify this option followed by a pathname, with no intervening spaces.

    -m  Machine code is listed. This directs the compiler to place in the listing file a description of the records that it added to the User Interface Database (UID). This helps you isolate errors. The default is no machine code.

    -o file

        Directs the compiler to produce a UID. By default, UIL creates a UID with the name a.uid. The file specifies the filename for the UID. No UID is produced if the compiler issues any diagnostics categorized as error or severe. UIDs are portable only across same-size machine architectures.

    -s  Directs the compiler to set the locale before compiling any files. The locale is set in an implementation-dependent manner. On ANSI C-based systems, the locale is usually set by calling setlocale(LC_ALL, ""). If this option is not specified, the compiler does not set the locale.

    -v file
        Directs the compiler to generate a listing. The file specifies the filename for the listing. If the -v option is not present, no listing is generated by the compiler. The default is no listing.

    -w  Specifies that the compiler suppress all warning and informational messages. If this option is not present, all messages are generated, regardless of the severity.

    -wmd file
        Specifies a binary widget meta-language description file to be used in place of the default WML description.

RELATED INFORMATION

X(1) and Uil(3).